Skip to main content

Read a Spending Plan Account

Use this endpoint to read the attributes of a specific spending plan account according to its unique GUID. Note the use of the beta accept header.

GET
/users/{user_guid}/spending_plans/{spending_plan_guid}/spending_plan_accounts/{spending_plan_account_guid}

Request sample

Language:shell

_10
curl -i -X GET 'https://int-api.mx.com/users/USR-72086f59-6684-4adf-8f29-c4d32db43cd7/spending_plans/SPL-dbfe201d-c341-4bff-93c0-62a918d0b600/spending_plan_accounts/SPA-c76e4a85-b2c4-4335-82b7-8f8b8f28c35a' \
_10
-u 'client_id:api_key' \
_10
-H 'Accept: application/vnd.mx.api.v2beta+json' \
_10
-H 'Content-Type: application/json'

Response sample

200
Language:json

_11
{
_11
"spending_plan_account": {
_11
"created_at": "2023-04-27T23:14:16Z",
_11
"updated_at": "2023-04-27T23:14:16Z",
_11
"account_guid": "ACT-97d3948f-ebe7-434a-9bd0-20b29d67c9d4",
_11
"client_guid": "CLT-024984fc-a6a7-42ee-b363-dab9343e3f72",
_11
"guid": "SPA-c76e4a85-b2c4-4335-82b7-8f8b8f28c35a",
_11
"spending_plan_guid": "SPL-dbfe201d-c341-4bff-93c0-62a918d0b600",
_11
"user_guid": "USR-72086f59-6684-4adf-8f29-c4d32db43cd7"
_11
}
_11
}